﻿Type=StaticCode
Version=1.90
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub GradientDrawable(col0 As Int, col1 As Int, Radius As Float, Style As String) As GradientDrawable
	Dim gdw As GradientDrawable
	Dim Cols(2) As Int
	Cols(0) = col0
	Cols(1) = col1
	gdw.Initialize(Style, Cols)
	gdw.CornerRadius = Radius
	Return gdw
End Sub

Sub StateListDrawable(col0 As Int, col1 As Int, col2 As Int, col3 As Int, Radius As Float, Style0 As String, Style1 As String) As StateListDrawable
	Dim colsEnabled(2) As Int
	colsEnabled(0) = col0
	colsEnabled(1) = col1
	' Define a GradientDrawable for Enabled state
	Dim gdwEnabled As GradientDrawable
	gdwEnabled.Initialize(Style0, colsEnabled)
	gdwEnabled.CornerRadius = Radius
	' Define two gradient colors for Pressed state
	Dim colsPressed(2) As Int
	colsPressed(0) = col2
	colsPressed(1) = col3
	' Define a GradientDrawable for Pressed state
	Dim gdwPressed As GradientDrawable
	gdwPressed.Initialize(Style1, colsPressed)
	gdwPressed.CornerRadius = Radius
	' Define a StateListDrawable
	Dim stdGradient As StateListDrawable
	stdGradient.Initialize
	Dim states(2) As Int
	states(0) = stdGradient.state_enabled
	states(1) = -stdGradient.state_pressed
	stdGradient.addState2(states, gdwEnabled)
	Dim states(1) As Int
	states(0) = stdGradient.state_pressed
	stdGradient.addState2(states, gdwPressed)
	Return stdGradient
End Sub
